version: "3.4"

services:
  nginx:
    image: nginx
    restart: unless-stopped
    networks:
      - ingress
    ports:
      - 9999:80
    volumes:
      - ./public:/usr/share/nginx/html:ro
      - ./default.conf:/etc/nginx/conf.d/default.conf:ro
    labels:
      - "traefik.enable=true"
      - "traefik.http.services.infobeamer.loadbalancer.server.port=80"
      - "traefik.http.routers.infobeamer.rule=Host(`infobeamer.montage2.de`)"
      - "traefik.http.routers.infobeamer.entrypoints=web,websecure"
      - "traefik.http.routers.infobeamer.tls.certresolver=default"

networks:
  ingress:
    name: traefik
    external: true
